[问题]question occured while installing JDK

为当前最终发行版之前的所有版本提供支持
回复
leonddr
帖子: 7
注册时间: 2006-09-01 9:53
送出感谢: 0
接收感谢: 0

[问题]question occured while installing JDK

#1

帖子 leonddr » 2007-03-26 8:23

When I used the Code below to creat the deb package of JDK

代码: 全选

fakeroot make-jpkg /jdk-6-linux-i586.bin
ERROR occured as follow:
Creating temporary directory: /tmp/make-jpkg.XXXXPUXyEi
Loading plugins: blackdown-j2re.sh blackdown-j2sdk.sh common.sh ibm-j2re.sh ibm-j2sdk.sh j2re.sh j2sdk-doc.sh j2sdk.sh j2se.sh sun-j2re.sh sun-j2sdk-doc.sh sun-j2sdk.sh

sh: gcc: command not found
dpkg-architecture: warning: Couldn't determine gcc system type, falling back to default (native compilation)
sh: gcc: command not found
dpkg-architecture: warning: Couldn't determine gcc system type, falling back to default (native compilation)
Detected Debian build architecture: i386
Detected Debian GNU type: i486-linux-gnu
How to deal with it?
头像
gosman
帖子: 68
注册时间: 2006-03-25 9:52
来自: 长春
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 gosman » 2007-03-26 10:55

安装JDK,直接:

代码: 全选

chmod +x jdk-6-linux-i586.bin
./jdk-6-linux-i586.bin
就行了
leonddr
帖子: 7
注册时间: 2006-09-01 9:53
送出感谢: 0
接收感谢: 0

#3

帖子 leonddr » 2007-03-26 11:10

thanks a lot
It's done
leonddr
帖子: 7
注册时间: 2006-09-01 9:53
送出感谢: 0
接收感谢: 0

#4

帖子 leonddr » 2007-03-26 17:57

代码: 全选

chmod +x jdk-6-linux-i586.bin
./jdk-6-linux-i586.bin
It seems that the code only extract the jdk-6-linux-i586.bin.

代码: 全选

sudo update-alternatives --config java
only 2 choice resulted :
1 /usr/bin/gij-wrapper-4.1
*+ 2 /usr/lib/jvm/java-gcj/jre/bin/java
the expected
/usr/lib/jvm/java1.6.0/jre/bin/java
hasn't occured

I installed jdk6 at /usr/lib/jvm, and it does exacutly be there.

Though I know I could intall JDK through 'apt-get', I really want to know what is wrong ?
回复

回到 “老旧版本支持”